part of 'register_cubit.dart';

abstract class RegisterState extends Equatable {
  @override
  List<Object> get props => [];
}

class RegisterInitial extends RegisterState {}

class RegisterFailure extends RegisterState {
  final String error;

  RegisterFailure(this.error);

  @override
  String toString() => 'SettingFailure { error: $error }';
}

class RegisterLoading extends RegisterState {
  @override
  String toString() {
    return 'RegisterLoading{}';
  }
}

class PickImageSuccess extends RegisterState {
  final File file;

  PickImageSuccess(this.file);

  @override
  String toString() {
    return 'PickImageSuccess{file: ${file.path}';
  }
}
